Create job
Creates a placeholder job that can then be used for asynchronous processing of data.
The placeholder job can then be used to perform asynchronous process by uploading a file to /v3/aftermarket/customers/{customerId}/jobs/{jobId}/upload endpoint.
You can create a maximum of 3 jobs that are in CREATED state at a time. If you try to create more than 3 jobs in CREATED state, you will get a 400 Bad Request error.
sso-keyAuthorization<token>Standard GoDaddy SSO header authorization. Format: sso-key YOUR_API_KEY:YOUR_API_SECRET
customerId*stringAn identifier for a customer. A special alias 'my' is supported when accessing the authenticated customer's own data.
^[a-f0-9]{8}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{12}$|^MY$|^my$"my"type?stringType of job to perform
"BULK_JOB""BULK_JOB""RECONCILE_JOB"X-Request-Id?stringA unique identifier for the request
Job create request body
application/json- body
description?stringDescription of the job
length <= 255Created placeholder job which can be used to perform bulk operations on domains.
application/json- response
jobId*stringThe unique identifier of the job.
uuidcurl -X POST 'https://api.afternic.com/v3/aftermarket/customers/my/jobs' \ -H 'Content-Type: application/json' \ -d '{}'{ "jobId": "9d222c6d-893e-4e79-8201-3c9ca16a0f39"}